WP5GraphicsInformationPacket Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP5GraphicsInformationPacket Class Reference

`#include <WP5GraphicsInformationPacket.h>`

Inheritance diagram for WP5GraphicsInformationPacket:

## Public Member Functions
| WP5GraphicsInformationPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP5GraphicsInformationPacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataSize)
const std::vector < librevenge::RVNGBinaryData * > & | getImages () const
const librevenge::RVNGBinaryData * | getImage (unsigned long imageIndex) const
Public Member Functions inherited from WP5GeneralPacketData
| WP5GeneralPacketData ()
virtual | ~WP5GeneralPacketData ()

## Private Attributes
std::vector < librevenge::RVNGBinaryData * > | m_images
std::vector< unsigned char * > | m_data

## Additional Inherited Members
Static Public Member Functions inherited from WP5GeneralPacketData
static WP5GeneralPacketData * | constructGeneralPacketData (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP5GeneralPacketIndex *packetIndex)
Protected Member Functions inherited from WP5GeneralPacketData
virtual void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP5GraphicsInformationPacket::WP5GraphicsInformationPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP5GraphicsInformationPacket::~WP5GraphicsInformationPacket | ( |  | ) |

## Member Function Documentation

void WP5GraphicsInformationPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataSize
| ) |  |
| virtual

Implements WP5GeneralPacketData.

const librevenge::RVNGBinaryData* WP5GraphicsInformationPacket::getImage | ( | unsigned long | imageIndex | ) | const
| inline

const std::vector<librevenge::RVNGBinaryData *>& WP5GraphicsInformationPacket::getImages | ( |  | ) | const
| inline

## Member Data Documentation

std::vector<unsigned char *> WP5GraphicsInformationPacket::m_data
| private

Referenced by _readContents(), and ~WP5GraphicsInformationPacket().

std::vector<librevenge::RVNGBinaryData *> WP5GraphicsInformationPacket::m_images
| private

Referenced by _readContents(), getImage(), getImages(), and ~WP5GraphicsInformationPacket().

The documentation for this class was generated from the following files:

- WP5GraphicsInformationPacket.h
- WP5GraphicsInformationPacket.cpp